#view license for an easter egg
import cv2
import numpy as np
import mss
import time

def generate_video_stream():
    with mss.mss() as sct:
        monitor = sct.monitors[1]  # Change index if multiple displays

        while True:
            img = np.array(sct.grab(monitor))
            frame = cv2.resize(img, (1280, 720))  # Resize to reduce bandwidth
            _, buffer = cv2.imencode('.jpg', frame)
            frame_bytes = buffer.tobytes()

            yield (b'--frame\r\n'
                   b'Content-Type: image/jpeg\r\n\r\n' + frame_bytes + b'\r\n')

            time.sleep(1/30)  # ~30 FPS
